Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Juri Linkov <[email-masked]>
Date: Tue, 23 Oct 2018 23:55:49 +0300

> It would indeed be nice to fix that there in some way.

There are not too many options that can be supported to make
Emacs window management more manageable.  I see at least these:

1. If the user knows beforehand in which window to display some
   particular buffer, then it's possible to customize display-buffer-alist.
   For example, instead of displaying *Backtrace* in a random window
   to make its placement more predictable:

   (custom-set-variables
    '(display-buffer-alist
      '(("\\`\\*Backtrace.*" display-buffer-below-selected))))

2. based on display-buffer-alist, implement some more declarative
   definitions of window layouts, i.e. allow the user to describe
   the used windows in which buffers should be displayed in them.

3. in some cases there is an one-off need to point out explicitly
   where to display the result of the next display-buffer command.
   If this will require only short code addition then better to have
   this feature in window.el.

> Good idea.  But IIUC we can't use 'hyper' in Emacs because it is not
> supposed to be generally present and must be bound to a key first.  So
> we'd need some other mechanism.

This is the same mechanism as already used by windmove-default-keybindings.